/*
 *	NuNoMe Project - test Program
 *		Canvas of Drawing with mouse
 *			Ver. 0.0  on 00/10/31
 *			Ver. 0.0a on 00/11/14
 *
 */
#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Intrinsic.h>
#include <X11/Xatom.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>
#include <X11/Xlocale.h>

#include <X11/Xaw/Cardinals.h>
#include <X11/Xaw/Simple.h>

#include "Nnm.h"


void	NnmDebugCharInfo( charInfo )
     NnmCharInfoRec	*charInfo;
{
  int	i, n;
  
  printf("Num of Stroke : %4d\n", charInfo->num );
  for( i=0; i<charInfo->num; i++ ){
    printf("Strk %4d: Sampling %4d\n", i, charInfo->stroke[i].len );
    for( n=0; n<charInfo->stroke[i].len; n++ ){
      printf("  %2d:  (%3d, %3d)\n", n,
	     charInfo->stroke[i].sample_x[n],charInfo->stroke[i].sample_y[n] );
    }
  }
  
}



/* ʸ褹 */
void	NnmDisplayKanjiChar( w, code, kfs, x, y )
     Widget		w;
     ulong		code;
     XFontStruct	*kfs;
     int		x, y;
{
  Display	*dpy = XtDisplay( w );
  Window	win  = XtWindow( w );
  GC		gc   = XtGetGC( w, 0, 0 );
  XChar2b	kstring[2];

  XClearWindow( dpy, win );

  if ( code==0 ) return;
  if ( kfs==NULL ){
    kfs = XLoadQueryFont( dpy, "-misc-fixed-medium-r-normal--14-*-*-*-*-*-jisx0208.1983-0" );
  }
  XSetFont( dpy, gc, kfs->fid );
  kstring[0].byte1 = code>>8;
  kstring[0].byte2 = code&0xff;
  XDrawString16( dpy, win, gc, x, y, kstring, 1 );
  XFreeFont( dpy, kfs );
  kfs = NULL;
}
